# ##################
# # Import Modules #
# ##################

import os, sys, datetime


# ########################
# # Initialize Arguments #
# ########################

# Get working directory
cWdir = sys.argv[1].replace("\\", "/")
# Get subdirectory list
sDirs = sys.argv[2]
# Show info on arguments passed
print ("Working Directory:        " + cWdir)
print ("Input Directories File:   " + sDirs.replace("\\", "/"))
# Get directory structure
sDirs_obj = open(sDirs)
sDirsLines = sDirs_obj.readlines()
# Change to the working directory
os.chdir(cWdir)
lLevel = 0
sDir = ""
def swtch (cLev, lLev):
	if cLev==lLev: return "sibling"
	if cLev>lLev: return "child"
	if cLev<lLev: return "parent"


# ##############
# # Run Script #
# ##############

for s in sDirsLines:
	cST = s.rstrip("\n").replace(" ", "_")
	cSTemp = cST.replace("%date%", str(datetime.date.today()))
	cLevel = cSTemp.rfind("\t")+1
	cS = cSTemp.lstrip("\t")
	doLev = swtch(cLevel, lLevel)
	if doLev == "child":
		os.chdir(sDir)
	if doLev == "parent":
		pDif = lLevel - cLevel
		for i in range(pDif):
			os.chdir("..")
	try:
		os.mkdir(cS)
	except Exception:
		print "Creating directory failed: " + cS
		raw_input()
	lLevel = cLevel
	sDir = cS
